.lego-section {
  max-width: 1240px;
  margin: 60px auto;
  padding: 0 30px;
  font-family: 'Poppins', sans-serif;
}

.lego-section h2 {
  font-size: 36px;
  color: #006d23;
  text-align: center;
  margin-bottom: 50px;
}
.icon-mindstorm{
  height: 160px;
  object-fit: cover;
}
.lego-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

.lego-item {
  display: flex;
  gap: 30px;
  background-color: #e7f7e0;
  border-radius: 20px;
  padding: 20px;
  align-items: flex-start;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
}
.lego-item:hover{
    transform: scale(1.1);
    transition: 0.3s;
}
.lego-image {
  flex: 1;
  text-align: center;
}

.lego-image img {
  max-width: 200px;
  object-fit: cover;
  margin-bottom: 10px;
  border-radius: 10px;
}

.lego-image p {
  font-size: 14px;
  font-weight: 500;
  color: black;
}

.lego-description {
  flex: 2;
}

.lego-description h3 {
  font-size: 22px;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  gap: 10px;
}

.color-box {
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 4px;
}

.lego-description p {
  font-size: 15px;
  color:black;
  line-height: 1.6;
  margin: 5px 0;
}
.panel h3{
  font-size: 20px;
}
@media screen and (max-width: 880px) {
  .lego-item{
    gap: 15px;
  }
  .lego-image > img{
    max-width: 150px;
  }
}
@media screen and (max-width: 770px) {
  .lego-description h3 {
    font-size: 15px;
  }
  .lego-description p {
    font-size: 12px;
  }
}
@media screen and (max-width: 750px) {
  .lego-item{
    padding: 10px;
  }
  .lego-description h3 {
    font-size: 15px;
  }
  .lego-description p {
    font-size: 12px;
  }
  .panel h3{
    font-size: 20px;
    text-align: center;
    padding: 0 10px 0 10px;
  }
}
@media screen and (max-width: 700px) {
  .lego-item{
    gap: 10px;
  }
}
@media screen and (max-width: 660px) {
  .lego-section > h2{
    font-size: 25px;
  }
  .lego-grid{
    grid-template-columns: repeat(1, minmax(250px, 1fr));
  }
}
@media screen and (max-width: 450px) {
  .lego-image > img{
    max-width: 120px;
  }
}

